[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Destroy

Destructor for the class instance.

## Declaration

Source position: comboex.pas line 316

`public destructor TCustomCheckCombo.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy calls ClearItemStates to free the TCheckComboItemState instances allocated for Items in the control. Destroy calls the inherited destructor.

## See also

TCustomCheckCombo.ClearItemStates |  | Removes all state classes allocated for the check boxes in the control.
TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TCheckComboItemState |  | Represents state and data for a check box item displayed in TCustomCheckCombo.